package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class UserExtImportVO {

    @ExcelProperty("用户编号")
    private Long userId;

    @ExcelProperty("用户名称")
    private String userName;

    @ExcelProperty("人脸图片")
    private MultipartFile faceFile;

    private String faceImg;
}
