package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 考勤设备用户下发 Request VO")
@Data
public class AddUserToAttendanceMachineVO {

    @Schema(description = "下发用户列表")
    @NotNull(message = "下发用户不能为空")
    private List<UsersExtRespVO> userInfo;

    @Schema(description = "设备号列表", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "设备号不能为空")
    private List<String> deviceNos;

    @Schema(description = "下发或删除 | 0下发， 1删除")
    private Integer method;
}
