package cn.iocoder.yudao.module.system.dal.dataobject.equipment;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 考勤机下发记录 DO
 *
 * @author 符溶馨
 */
@TableName("kq_distribute_record")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributeRecordDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 设备编号
     */
    private String deviceNo;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 下发结果
     */
    private String result;

}